New firmware 1.7.8 (01.07.0082) P3S

Joined
May 30, 2016
Messages
1,751
Reaction score
487
Location
Lancaster, Pa.
I think it would be better to go with the 1.7.9 straightaway 'cause the 1.6.8 was really a DISASTER! Why are you using ICARUS? PapaTita wrote an exhaustive topic in how to convert into FCC, modify channels and the Wifi output power. I'm really disappointed with DJI anyway, I'm concerned about their mistakes related to the firmware upgrades. They absolutely need to be much more reliable, 'cause such mistakes are unacceptable.
First off not everyone is having issues with 1.6.8, at least us in the states with FCC mode. And as for Icarus being it's Android base makes it more straightforward running the mod as we that have Android already have devices that we're using with our set up. Instead of running a computer-based mod.

Sent from my HTC 10 using PhantomPilots mobile app
 
Joined
Nov 1, 2016
Messages
30
Reaction score
1
Age
56
when i use 1.6.8 and use icarus to patch ac and rc to 27dbm. the signal come and go comes and go when i use both dji go and litchi.and somtimes when i connect litchi there are no signal on rc and somtime no picture the same goes for dji go app.so i simply dont know now i cant upgrade from 1.6.8 to 1.7.8??
 
Joined
Sep 27, 2016
Messages
19
Reaction score
7
Age
37
First off not everyone is having issues with 1.6.8, at least us in the states with FCC mode. And as for Icarus being it's Android base makes it more straightforward running the mod as we that have Android already have devices that we're using with our set up. Instead of running a computer-based mod.

Sent from my HTC 10 using PhantomPilots mobile app
I'm in Europe and it's quite frustrating running with the 1.6.8.
As for the Icarus, well actually it is really easy to work with "computer-based" mode, you just need Telnet and there you go, you got everything for free!
 
Joined
Sep 27, 2016
Messages
19
Reaction score
7
Age
37
when i use 1.6.8 and use icarus to patch ac and rc to 27dbm. the signal come and go comes and go when i use both dji go and litchi.and somtimes when i connect litchi there are no signal on rc and somtime no picture the same goes for dji go app.so i simply dont know now i cant upgrade from 1.6.8 to 1.7.8??
Yes I think you can! Try to do it.
 
Joined
Nov 1, 2016
Messages
30
Reaction score
1
Age
56
when i try to use magic power when i try to patch the rc to 27 dbm its just say cant connect to rc
 
Joined
Sep 27, 2016
Messages
19
Reaction score
7
Age
37
no now i am on 1.7.9 maybe its because its a beta it dosent work
All right, back to your 1.6.8. relink your RC, download that Application and start from the very beginning of the whole mod process, otherwise stay with the new 1.7.9 beta and wait for updates.
 
Joined
Sep 27, 2016
Messages
19
Reaction score
7
Age
37
think i will try to stck with 1.7.9 and test it as soon it will be weather to fly here in denmark
That's right! Do it like that, anyway it will be better than that shitty 1.6.8. Worst experience ever!
Good luck Rene, let me know!
 
Joined
Oct 14, 2016
Messages
4,239
Reaction score
1,954
Age
65
Location
UK Brit living Latvia
I have 1.07.0090 and you cannot go back at all .... I tried a number of times but it just will not do a successful FW install.

Everytime I have had to re-install 1.07.0090 to get all working again.

I just hope that DJI sort out this mess by finally issuing a reliable and stable FW.

Magic Power .... does not work with 1.07.0090 - Papa Tita already said so that software was not written with such FW in mind.

ICARUS does not work with 1.07.0090 either but can alter RC but not AC. Not worth it as the connection to WiFi becomes even more unreliable.

We need to wait for Papa Tita and ICARUS to update their software.... but of course as said - would be nice to see DJI sort out their FW !!

Today had good link both video and control out to 310m and 62m high .... bog standard model on CE power but with 1.07.0090 FW and Go App 3.0.1. I actually manually started RTH because I was worried about control and could not see model anymore.

Just hoping I get other good runs as well !!

Nigel
 
  • Like
Reactions: Vassili
Joined
Mar 1, 2016
Messages
62
Reaction score
3
Age
12
I have 1.07.0090 and you cannot go back at all .... I tried a number of times but it just will not do a successful FW install.

Everytime I have had to re-install 1.07.0090 to get all working again.

I just hope that DJI sort out this mess by finally issuing a reliable and stable FW.

Magic Power .... does not work with 1.07.0090 - Papa Tita already said so that software was not written with such FW in mind.

ICARUS does not work with 1.07.0090 either but can alter RC but not AC. Not worth it as the connection to WiFi becomes even more unreliable.

We need to wait for Papa Tita and ICARUS to update their software.... but of course as said - would be nice to see DJI sort out their FW !!

Today had good link both video and control out to 310m and 62m high .... bog standard model on CE power but with 1.07.0090 FW and Go App 3.0.1. I actually manually started RTH because I was worried about control and could not see model anymore.

Just hoping I get other good runs as well !!

Nigel
Did you try to downgrade to 1.7.082 or 84. Maybe this will work? As far as i know Papatita magic power works with 1.7.082
 

New Threads

Members online

No members online now.

Forum statistics

Threads
141,160
Messages
1,453,658
Members
102,986
Latest member
Packrat